SIM Management
API Reference
Provision

Provision

This call allows you to activate a SIM on an Atlas or Hireman network.

API Call Flow

To create a provision submission you'll need to call the Get Available Tariffs to get a list of available tariffs for the network you're provisioning on. For Atlas networks, once you have selected a tariff you need to call Get Available BoltOns to get the BoltOns that are available for the tariff you have selected. Based on the Network and BoltOn(s) you select, you may also need to call the Get Available Public IP Groups or Get Available Static IP Groups endpoints and select a group from which the sim will recieve an IP Address. If you want to link these sims to an existing Provisioning Order then you can call Get Available Provisioning Orders, otherwise you can create a new Provisioning Order by specifying the name in the Provisioning call. Finally you should use the Tariff Id, Bolton Id(s) and optional Provisioning Order Id, Public IP Group Id, Static IP Group Id to construct the Provisioning call.

For Hireman networks, select a tariff using Get Available Tariffs, then submit the SIM stock and tariffNumber. Provisioning Orders, BoltOns and IP groups are not supported for Hireman network provisioning and should be omitted.

Additional commands needed for provisioning can be found on on the Provision Extras page.

Provision Submission

Request

NameTypeDescriptionRestrictions
stockobject arrayAn array of stock corresponding to the SIMs you wish to updateAt least one
tariffNumbernumberThe id of the Tariff to useRequired
boltOnsnumber arrayThe id of the Boltons to useAtlas networks only; omit for Hireman networks
createNewProvisioningOrderboolShould a new Provisioning Order be created?Atlas networks only; must be false or omitted for Hireman networks
newProvisioningOrderNamestringName of new Provisioning OrderRequired if createNewProvisioningOrder = true
Cannot be combined with provisioningOrderNumber
Alphanumeric characters only
Max length 256 characters
provisioningOrderNumbernumberId of the Provisioning Order to useAtlas networks only; omit for Hireman networks
publicIpGroupIdnumberId of the Public IP Group to useRequired if a Public Ip Group BoltOn is specified
staticIpGroupIdnumberId of the Static IP Group to useRequired if a Static Ip Group BoltOn is specified
purchaseOrderNumberstringComma separated values for Order 1, Order 2, etcMaximum 5 values and 100 characters total

Stock

NameTypeDescriptionRestrictions
serialNumberstringThe serial number of the simRequired
msisdnstringThe msisdn to assignOnly provide this when the sim does not already have an MSISDN

Request (New Provisioning Order)

curl --location 'https://api.cellhire.com/api/simSubmission/Provision' \
--header 'Content-Type: application/json;charset=UTF-8' \
--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjRBMDlENTFBMDhEOEUxMTU0OTkyODFDN...' \
--data '{
  "stock": [
    {
      "serialNumber": "89441000303198729483",
      "msisdn": "07000000000"
    }
  ],
  "purchaseOrderNumber": "string",
  "tariffNumber": 100001,
  "boltOns": [
    500032,
    500051
  ],
  "createNewProvisioningOrder": true,
  "newProvisioningOrderName": "Test Order",
}

Request (Existing Provisioning Order)

curl --location 'https://api.cellhire.com/api/simSubmission/Provision' \
--header 'Content-Type: application/json;charset=UTF-8' \
--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjRBMDlENTFBMDhEOEUxMTU0OTkyODFDN...' \
--data '{
  "stock": [
    {
      "serialNumber": "89441000303198729483",
      "msisdn": "07000000000"
    }
  ],
  "purchaseOrderNumber": "string",
  "tariffNumber": 100001,
  "boltOns": [
    500032,
    500051
  ],
  "provisioningOrderNumber": 12345,
}

Request (Hireman Network)

Do not include Provisioning Order, BoltOn or IP group fields when the SIM belongs to a Hireman network.

curl --location 'https://api.cellhire.com/api/simSubmission/Provision' \
--header 'Content-Type: application/json;charset=UTF-8' \
--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjRBMDlENTFBMDhEOEUxMTU0OTkyODFDN...' \
--data '{
  "stock": [
    {
      "serialNumber": "89441000303198729483"
    }
  ],
  "tariffNumber": 100001
}'

Successful Response

NameTypeDescription
ticketNumberguidSubmission Id that has been created
{ "ticketNumber": "1beeb8dd-1825-4bcd-8a62-f941aacb8d15" }